Maven 项目指定JDK版本

转载 2013年12月03日 20:24:59

在主pom.xml文件中,增加如下配置!

 

 

Xml代码  收藏代码
  1. <build>  
  2.     <plugins>  
  3.       <plugin>  
  4.         <groupId>org.apache.maven.plugins</groupId>  
  5.         <artifactId>maven-compiler-plugin</artifactId>  
  6.         <configuration>  
  7.           <source>1.5</source>  
  8.           <target>1.5</target>  
  9.         </configuration>  
  10.       </plugin>  
  11.     </plugins>  
  12. </build>  
  13.    
               <profile> 
                   <id>jdk1.6</id>  
                   <activation> 
                       <activeByDefault>true</activeByDefault>  
                       <jdk>1.6</jdk> 
                   </activation>  
                   <properties> 
                       <maven.compiler.source>1.6</maven.compiler.source>  
                       <maven.compiler.target>1.6</maven.compiler.target>  
                       <maven.compiler.compilerVersion>1.6</maven.compiler.compilerVersion> 
                   </properties> 
               </profile>
    上面是最佳事件,在settings.xml中更改,全局生效。

修改maven的默认jdk版本为本地安装的版本

问题: 1、创建maven项目的时候,jdk版本是1.5版本,而自己安装的是1.7或者1.8版本。 2、每次右键项目名-maven->update project 时候,项目jdk版本变了,变回1.5...
  • qq_31496897
  • qq_31496897
  • 2017年06月23日 06:48
  • 310

maven项目指定 JDK和编码1

1.指定JDK    maven项目经常 update project 的时候 jdk会变成默认的javaSE-1.4或者javaSE-1.5之类的,很是烦人,只需要在pom.xml里面 ...
  • gjldwz
  • gjldwz
  • 2016年01月21日 10:31
  • 1356

maven编译时指定jdk版本

用了一段时间maven了,但命令行跑maven命令还比较少,这一跑,还有好多问题。使用maven-compiler-plugin 指定JDK版本和编码,才解决了mvn compile的错误。 com...
  • lkx94
  • lkx94
  • 2015年03月24日 11:38
  • 3419

maven打包不同jdk版本的包

原文地址:http://blueram.iteye.com/blog/1611372 指定修改jdk默认版本 修改{M2_HOME}/conf/settings.xml...
  • xjdAlan
  • xjdAlan
  • 2015年02月01日 22:29
  • 4946

使用Maven时指定JDK版本

修改Maven工程中的JDK的版本 说明:在eclipse中创建的默认的java工程中,默认的JDK版本为1.5 解决方法:1. 手动修改eclipse配置 2. 修改Maven配置文件 ...
  • gengyuntuo
  • gengyuntuo
  • 2016年12月25日 11:54
  • 1276

修改Maven编译的JDK版本

参考: http://blog.sina.com.cn/s/blog_725eee7e0100ymoz.html http://blog.csdn.net/hehexiaoyou/article/de...
  • f_zongjian
  • f_zongjian
  • 2014年12月28日 12:34
  • 34116

Maven:更改项目依赖jdk的版本

前言: 在创建项目和导入Maven项目,会有项目jdk版本的问题,如下图所示,每次出现的是1.5版本: 解决的办法有2种:一种是在本项目pom下,添加如下内容: ...
  • wulunbi
  • wulunbi
  • 2015年12月30日 15:53
  • 2477

【maven】maven编译版本和jdk 版本?

下午更新代码的时候,报了如下问题。当时很奇怪,第一感觉,jdk出现了问题,但是确认了很多次,jdk没有问题。然后去何同学那里,发现更新代码之后,出现了同样的问题。反馈给架构组,才发现,原来是maven...
  • u013034640
  • u013034640
  • 2017年07月24日 17:01
  • 442

Maven新建工程的JDK版本与本地安装的JDK版本不一致问题

自己在新建maven工程的时候遇到一个问题,那就是:新建的maven工程的jdk的版本与本地安装的jdk的版本不一致,然后想到通过buildpath去修改工程的jdk版本,修改完jdk的版本后,通过m...
  • sinat_27535209
  • sinat_27535209
  • 2017年03月01日 20:43
  • 2027

maven项目自定义指定 jdk 版本

问题: 1、创建maven项目的时候,jdk版本是1.5版本,而自己安装的是1.7或者1.8版本。 2、每次右键项目名-maven->update project 时候,项目jdk版本变了,变回1.5...
  • zyp_yun
  • zyp_yun
  • 2017年06月19日 23:27
  • 984
内容举报
返回顶部
收藏助手
不良信息举报
您举报文章:Maven 项目指定JDK版本
举报原因:
原因补充:

(最多只允许输入30个字)